/**
 * Default 部件模型
 *
 * @export
 * @class DefaultModel
 */
export default class DefaultModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof DefaultModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'updateman',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'memo',
      },
      {
        name: 'userobjecttype',
      },
      {
        name: 'datasourcetype',
      },
      {
        name: 'createman',
      },
      {
        name: 'createdate',
      },
      {
        name: 'usergroupname',
      },
      {
        name: 'enable',
      },
      {
        name: 'usergroup',
        prop: 'usergroupid',
      },
    ]
  }


}